import re
from typing import List

from tz_objects.time_zone_dat_line import TimeZoneDatLine


class TimeZoneDat:
    def __init__(self,lines: List[TimeZoneDatLine]):
        self.lines = lines

    def to_file(self,file_path :str):
        with open(file_path, "w") as file:
            for line in self.lines:
                file.write(line.to_str() + "\n")



